#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nullmailer
Version		:	2.2.0.3
Release		:	14.8.0.0%{?dist}
Summary		:	A Simple relay-only mail Transfer Agent
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/jmrcpn/nullmailer

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gnutls

Provides	:	smtpdaemon

Conflicts	:	sendmail
Conflicts	:	qmail

Requires	:	coreutils
Requires	:	chkconfig
Requires	:	gnutls
Requires	:	sed
Requires	:	/bin/hostname
Requires	:	/usr/bin/dig
#-----------------------------------------------------------------------------
%description
'%{name}' is a mail transport agent designed to only relay
all its messages through a fixed set of "upstream" hosts.
It is also designed to be secure. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,%{name},%{name},-)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/%{name}/remotes
%{_sysconfdir}/rc.d/init.d/%{name}
%{_bindir}/mailq
%{_bindir}/%{name}-*
%attr (04711,%{name},%{name}) %{_sbindir}/%{name}-queue
%attr (04711,%{name},%{name}) %{_sbindir}/%{name}-send
%{_sbindir}/sendmail
%{_libexecdir}/%{name}/*
%{_mandir}/man1/%{name}-*.1.gz
%{_mandir}/man1/sendmail.1.gz
%{_mandir}/man7/%{name}.7.gz
%{_mandir}/man8/%{name}-*.8.gz
%{_var}/spool/%{name}/*
%dir %{_rundir}/%{name}

#-----------------------------------------------------------------------------
%pre
if [ "$1" = 1 ]; then
  if [ ! $(getent group %{name}) ]; then
    /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}

    /usr/sbin/useradd 				\
	-r					\
	-c "Privilege email sender"		\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}				\
	-s /sbin/nologin			\
	-d %{_var}/spool/%{name}		\
	%{name}
    fi
  fi

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  /usr/sbin/userdel %{name}
  /usr/sbin/groupdel %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#-----------------------------------------------------------------------------
%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q

#to use the proper lock directory
sed -i							\
  -e "s:@localstatedir@/run/:%{_rundir}/:"		\
  Makefile.am

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

. ./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--runstatedir=%{_rundir}			\
	--localstatedir=%{_var}				\
	--enable-tls					\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#installing nullmailer daemon starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}.init			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

#setting default configration
%{__cp} -a 						\
	%{name}-ok_addon/remotes			\
	%{buildroot}%{_sysconfdir}/%{name}

#-----------------------------------------------------------------------------
%changelog
